<?xml version="1.0"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.2//EN" "http://java.sun.com/j2ee/dtds/web-app_2_2.dtd">

<web-app>
	<display-name>Useless news HQ</display-name>
	<description>A small demo web-app demonstrating
		interaction between JSP and EJB.</description>
	<welcome-file-list>
		<welcome-file>default.jsp</welcome-file>
		<welcome-file>index.html</welcome-file>
	</welcome-file-list>
	<taglib>
		<taglib-uri>ejbtags</taglib-uri>
		<taglib-location>/WEB-INF/lib/ejbtags.jar</taglib-location>
	</taglib>
	<taglib>
		<taglib-uri>utiltags</taglib-uri>
		<taglib-location>/WEB-INF/lib/utiltags.jar</taglib-location>
	</taglib>
	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Unnamed</web-resource-name>
			<url-pattern>/addnews.jsp</url-pattern>
			<url-pattern>/addnews_done.jsp</url-pattern>
			<http-method>*</http-method>
		</web-resource-collection>
		<auth-constraint>
			<role-name>users</role-name>
		</auth-constraint>
	</security-constraint>
	<login-config>
		<auth-method>FORM</auth-method>
		<form-login-config>
			<form-login-page>/login.html</form-login-page>
			<form-error-page>/login-error.html</form-error-page>
		</form-login-config>
	</login-config>
	<security-role>
		<description>Registered administrators of this app.</description>
		<role-name>administrators</role-name>
	</security-role>
	<security-role>
		<description>Registered users of this app. Can add news etc.</description>
		<role-name>users</role-name>
	</security-role>
	<ejb-ref>
		<ejb-ref-name>ejb/NewsSession</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>com.evermind.ejb.NewsSessionHome</home>
		<remote>com.evermind.ejb.NewsSession</remote>
	</ejb-ref>
	<ejb-ref>
		<ejb-ref-name>ejb/NewsItem</ejb-ref-name>
		<ejb-ref-type>Entity</ejb-ref-type>
		<home>com.evermind.ejb.NewsItemHome</home>
		<remote>com.evermind.ejb.NewsItem</remote>
	</ejb-ref>
</web-app>
